#!/usr/bin/env python

# WS server example that synchronizes state across clients

import json
import websockets
import asyncio

c = 0

async def counter(websocket, path):
    try:
       async for message in websocket:
            data = json.loads(message)
            print(data)
            global c
            c=c+1
            await websocket.send(json.dumps({"type": "state","c": c}))
    finally:
       pass

start_server = websockets.serve(counter, "localhost", 1977)

asyncio.get_event_loop().run_until_complete(start_server)
asyncio.get_event_loop().run_forever()
